VisualEditor: Title is not updated on save if DISPLAYTITLE changed
Closed, ResolvedPublic

Description
  1. Edit [[testwiki:Displaytitle]] using VE
  2. Using the transclusion dialog box, add the following "template": DISPLAYTITLE:''displaytitle''
  3. Save the page

The page title remains "Displaytitle" in roman type.

Expected to see "displaytitle" in italics. This is what you see when you refresh the page.


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49667

bzimport set Reference to bz50341.
TTO created this task.Via LegacyJun 28 2013, 3:16 AM
Elitre added a comment.Via ConduitJun 29 2013, 8:26 PM

Created attachment 12689
Wrong title displayed in "correct title" template.

I think it's related, so I'm sticking this here.

After http://it.wikipedia.org/w/index.php?title=Utente:Dry_Martini/Cricca&diff=prev&oldid=59761793, the page, containing a "Correct title" template, would display, after being saved, the message usually generated by that template, although it disappears if you refresh.

I tried it myself and this time I actually changed the title in the template.
The screenshot shows what happened after http://it.wikipedia.org/w/index.php?title=Utente%3ADry_Martini%2FCricca&diff=59761896&oldid=59761793 my edit.
Basically, the page retains its formerly given title, while displaying in the message the one I chose. Again, everything is ok if you refresh.
(For the record, the usual title is "There is no Cabal", while mine reads "There's a Cabal, and it's using VisualEditor".)

Attached:

PamD added a comment.Via ConduitJul 2 2013, 3:21 PM

I think this includes my problem with {{tl|italic title}}, which is at two levels:

  1. When I add it, I expect to see it take effect immediately - it doesn't (so I wonder whether I remembered to add it, whether I formatted it correctly, ... etc)
  2. Even when I save the page, it doesn't take effect until I refresh the page (same set of worries).
jayvdb added a comment.Via ConduitJul 17 2013, 5:54 AM

Confirmed that adding italics to an existing page doesnt display italics on save - it does display the italic title after save + refresh.

However it does display italics on save, if the DISPLAYTITLE is set for a new page.

Tested with {{italics title}} and {{DISPLAYTITLE:''ItalicsTitle''}} on testwiki

https://test.wikipedia.org/wiki/ItalicsTitle

Krenair added a comment.Via ConduitJun 12 2014, 4:27 PM

So now that the dependency is merged, Parsoid now recognises {{DISPLAYTITLE:stuff}} as a meta property (instead of a template), and VE provides a box on the options page to change the display title. I think what we should do is update the title (almost) as soon as it's changed.

Krenair added a comment.Via ConduitJun 12 2014, 9:17 PM

Yeah it's actually kind of a pain to do that. Let's update it on save.

gerritbot added a comment.Via ConduitJun 12 2014, 9:18 PM

Change 139205 had a related patch set uploaded by Alex Monk:
Update displaytitle on save

https://gerrit.wikimedia.org/r/139205

gerritbot added a comment.Via ConduitJun 18 2014, 2:23 AM

Change 139205 merged by jenkins-bot:
Update displaytitle on save

https://gerrit.wikimedia.org/r/139205

Jdforrester-WMF added a comment.Via ConduitJun 18 2014, 8:21 PM

Patch reverted; re-opening.

gerritbot added a comment.Via ConduitJun 18 2014, 11:17 PM

Change 140591 had a related patch set uploaded by Alex Monk:
Update displaytitle on save (try #2)

https://gerrit.wikimedia.org/r/140591

gerritbot added a comment.Via ConduitJun 18 2014, 11:41 PM

Change 140591 merged by jenkins-bot:
Update displaytitle on save (try #2)

https://gerrit.wikimedia.org/r/140591

gerritbot added a comment.Via ConduitJun 23 2014, 3:32 PM

Change 141098 had a related patch set uploaded by Alex Monk:
Update displaytitle on save (try #3)

https://gerrit.wikimedia.org/r/141098

gerritbot added a comment.Via ConduitJul 1 2014, 9:18 PM

Change 141098 merged by jenkins-bot:
Update displaytitle on save (try #3)

https://gerrit.wikimedia.org/r/141098

Krenair added a comment.Via ConduitJul 1 2014, 9:42 PM

So this appears to actually be working now.

Jdforrester-WMF added a comment.Via ConduitJul 3 2014, 3:02 AM

(In reply to Alex Monk from comment #13)

So this appears to actually be working now.

Woo-hoo. :-)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.